=== tests/auto/CMakeLists.txt ===
add_subdirectory(bodymovin)
add_subdirectory(imports)
