=== debian/control ===
Source: qt6-lottie
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~)
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-lottie.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-lottie
Maintainer: Neon CI <neon@kde.org>

Package: qt6-lottie
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6bodymovin6, qml6-module-qt-labs-lottieqt
Description: Qt 6 Lottie Bodymovin library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a plugin created/exported directly from After Effects.

Package: qt6-lottie-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev, qt6-lottie (= ${binary:Version}), ${misc:Depends}
Breaks: libqt6bodymovin6-dev (<< 6.4.1-2~)
Replaces: libqt6bodymovin6-dev
Description: Qt 6 Lottie - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Lottie libraries.

Package: libqt6bodymovin6
Architecture: all
Depends: qt6-lottie, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-lottieqt
Architecture: all
Depends: qt6-lottie, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
