=== debian/changelog ===
qt6-lottie (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files and new binary packages.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Feb 2026 22:08:48 +0100
